Статья создана
Start workbook import
Starts the import of the specified workbook.
Request
POST
https://api.datalens.tech/rpc/startWorkbookImport
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"data": {},
"title": "example",
"description": "example",
"collectionId": "example"
}
|
Name |
Description |
||
|
collectionId |
Type: string | null ID of the collection in which to create the imported workbook. Example: |
||
|
data |
Type: object
Serialized workbook export data to import. Example
|
||
|
title |
Type: string Title of the imported workbook. Example: |
||
|
description |
Type: string Description of the imported workbook. Example: |
Responses
200 OK
Response
Body
application/json
{
"importId": "example",
"workbookId": "example"
}
|
Name |
Description |
|
importId |
Type: string ID of the started workbook import. Example: |
|
workbookId |
Type: string ID of the workbook created by the import. Example: |